Bug 210747 - netconfig_dialog.py 212 AttributeError: 'module' object has no attribute 'RESPONSE_OK'
netconfig_dialog.py 212 AttributeError: 'module' object has no attribute 'RES...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2006-10-14 04:13 EDT by Allan Stokes
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-14 12:09:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Allan Stokes 2006-10-14 04:13:51 EDT
Description of problem:

Exception Occurred immediately after probing my local network for a DHCP lease
for an Intel eepro network interface.  The underlying screen begins "The default
installation of Fedora Core includes a set of software applications for general
internet usage."  I had not made any selections of my own before the network
interface screen popped up.  

Version-Release number of selected component (if applicable):

Pre-release FC6 from four of five days ago installed from CD.  

How reproducible:

First time through, no attempt to reproduce yet.  

Additional info:

This crash box was thrown together with a older RMA-replaced Fujitsu disk drive
which I never trusted greatly.  There's a smallish chance (maybe 2%) that the
hardware is at fault.  

Selected local vars: 

f: shows that resolv.conf is closed 
self: <netconfig_dialog.NetworkConfigurator instance ...> 
ns:   shows that my DHCP server was contacted before the exception
Comment 1 Allan Stokes 2006-10-14 04:35:39 EDT
Ran the install again.  The network interface screen comes up when I first try
to click on a software selection tick box.  It pauses for the normal length of
time to get a DHCP lease (2 to 3 seconds) and then the exception occurs with no
other visible activity in the meantime.  

I already ran into the Anaconda exception when clicking "edit" to review an item
in the disk partition assignments (reported many times).  I'm surprised I wasn't
able to find this one reported already as well.  

Just checking that the ethernet card is probed correctly:  

e100: ... PRO/100 ... 3.5.10-k2-NAPI 
e100: eth0: ... irq 11 ...

The DHCP server on my local network is an outdated OpenBSD 3.3 that has worked
fine with dozens of systems over a long period, including several other hosts
running FC4.  
Comment 2 Allan Stokes 2006-10-14 04:44:50 EDT
This time I attempted to bypass DHCP and assign the network interface manually.
 I got an immediate exception from netconfig_dialog.py line 168 in _ok 
  ipv4addr = self.xml.get_widget("ipv4AddressEntry").get_text() 
AttributeError: 'NoneType' object has no attribute 'get_text' 

Weird.  I have no idea what is going on here.  
Comment 3 Allan Stokes 2006-10-14 05:39:08 EDT
This time through I forewent clicking on the "Software Development" tick box
that triggers the premature network configuration.  Dep check is proceeding
normally.  The file system is formatting and the install set is copying.  Made
it into the firstboot screen.  For some reason my keyboard is not active (its
shared through a KVM with the system where I'm composing this text).  Also had
problems with the PS/2 mouse not being detected if the KVM was switched away at
the critical point in the boot process.  I had to install a spare USB mouse to
tide me over a few steps before the PS/2 mouse also started working again.  The
second head of the dual head is displaying the FC6 installer the whole time on
my second screen, so it's not like I'm missing anything going on.  I had to skip
creating a local user because I couldn't type.  Once I got to the main desktop,
the PS/2 keyboard became active again.  

Finally gaining a terminal, I see that my network is unconfigured.  Use the
sysadmin tool to configure my eth0 device via DHCP and it works fine with no
glitches.  It's only Anaconda that seems to grouse.  
Comment 4 Jeremy Katz 2006-10-15 20:30:39 EDT
The updates.img that was referenced in the FC6Pre announcement has the fix for this

Note You need to log in before you can comment on or make changes to this bug.